| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Attributes | List of all members
OBDataBundle Struct Reference

Internal API for future publication. More...

`#include <ObTypes.h>`

## Public Attributes
OBCmdVersion | cmdVersion
| OBCmdVersion of propertyId.
void * | data
| Data containing itemCount of elements.
uint32_t | dataSize
| Data size in bytes.
uint32_t | itemTypeSize
| Size of data item.
uint32_t | itemCount
| Count of data item.

## Detailed Description

Internal API for future publication.

Note
  This data type matches OBCmdVersion of one propertyId. PropertyId has multiple OBCmdVersion, and different OBCmdVersion of this propertyId has different data types. PropertyId and OBCmdVersion match only one data type. itemCount is the number of data types contained in data bytes. C language and C++ have differences.

C language: data's type is a uint8_t pointer, and the user parses data to the destination type. itemTypeSize == 1, dataSize == itemCount;

C++: data's type is the propertyId and OBCmdVersion's data type. itemTypeSize = sizeof(T), itemCount = dataSize / itemTypeSize;

Definition at line 1083 of file ObTypes.h.

## Member Data Documentation

## ◆ cmdVersion

OBCmdVersion OBDataBundle::cmdVersion

OBCmdVersion of propertyId.

Definition at line 1087 of file ObTypes.h.

## ◆ data

void* OBDataBundle::data

Data containing itemCount of elements.

Note
  void *data = new T[itemCount];

Definition at line 1094 of file ObTypes.h.

## ◆ dataSize

uint32_t OBDataBundle::dataSize

Data size in bytes.

Note
  dataSize == itemTypeSize * itemCount

Definition at line 1101 of file ObTypes.h.

## ◆ itemTypeSize

uint32_t OBDataBundle::itemTypeSize

Size of data item.

Note
  C language: itemTypeSize = 1, C++: itemTypeSize = sizeof(T)

Definition at line 1108 of file ObTypes.h.

## ◆ itemCount

uint32_t OBDataBundle::itemCount

Count of data item.

Note
  itemCount = dataSize / itemTypeSize; 0 == dataSize % itemTypeSize;

Definition at line 1115 of file ObTypes.h.

The documentation for this struct was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/h/ObTypes.h